import { SmzBaseColumnBuilder } from './column-builder';
import { SmzTableBuilder } from './state-builder';
import { SmzTableColumn } from '../../modules/smz-tables/models/table-column';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
export declare class SmzContentActionsBuilder<TColumn extends SmzBaseColumnBuilder<TColumn, TData>, TData> extends SmzBuilderUtilities<SmzContentActionsBuilder<TColumn, TData>> {
    protected _table: SmzTableBuilder<TData>;
    protected _parent: SmzBaseColumnBuilder<TColumn, TData>;
    protected that: this;
    constructor(_table: SmzTableBuilder<TData>, _parent: SmzBaseColumnBuilder<TColumn, TData>);
    add(icon: string, callback: (item: any) => void): SmzContentActionIconBuilder<TColumn, TData>;
    placeAtBeginning(): SmzContentActionsBuilder<TColumn, TData>;
    get column(): SmzBaseColumnBuilder<TColumn, TData>;
}
export declare class SmzContentActionIconBuilder<TColumn extends SmzBaseColumnBuilder<TColumn, TData>, TData> {
    protected _table: SmzTableBuilder<TData>;
    protected _column: SmzTableColumn;
    protected _parent: SmzContentActionsBuilder<TColumn, TData>;
    private _action;
    constructor(_table: SmzTableBuilder<TData>, _column: SmzTableColumn, _parent: SmzContentActionsBuilder<TColumn, TData>, icon: string, callback?: (item: any) => void);
    setStyleClass(styleClass: string): SmzContentActionIconBuilder<TColumn, TData>;
    setTooltip(tooltip: (item: any) => string): SmzContentActionIconBuilder<TColumn, TData>;
    condition(condition: (item: any) => boolean): SmzContentActionIconBuilder<TColumn, TData>;
    callback(callback: (item: any) => boolean): SmzContentActionIconBuilder<TColumn, TData>;
    get action(): SmzContentActionsBuilder<TColumn, TData>;
}
